Offer 460px and 620px as thumbnail size preferences
Closed, DeclinedPublic

Description

Author: vufohexicywupaqe

Description:
Thank you for allowing to extend the images sizes offered as an option in preferences. Since 2006, the maximum size of images is 300 pixels in the articles. Meanwhile, the screens have more pixels. Thank you for offering a choice: 460 pixels and 620 pixels. (Merci de permettre d'étendre les tailles des images proposées en option dans les préférences. Depuis 2006, la taille maximale des images est de 300 pixels dans les articles. Entre temps, les écrans ont plus de pixels. Merci de proposer le choix : 460 pixels et 620 pixels.)

(Summary : Affichage des images trop petites dans les articles de WP)


Version: unspecified
Severity: enhancement
URL: http://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Le_Bistro/3_mars_2011

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz27839.
bzimport created this task.Via LegacyMar 3 2011, 7:04 PM
Catrope added a comment.Via ConduitMar 3 2011, 7:11 PM

I guess this could be done if there is community consensus for it on frwiki.

bzimport added a comment.Via ConduitMar 3 2011, 7:37 PM

vufohexicywupaqe wrote:

There is no opposition to this improvement. Is it time consuming to be able to give an additional choice? If not, we could have more choice over 300 pixels. (Il n'y a pas d'opposition à cette amélioration. Est-ce que cela demande beaucoup de temps à pouvoir donner à un choix supplémentaire ? Si non, on pourrait avoir davantage de choix supérieurs à 300 pixels.)

MarkAHershberger added a comment.Via ConduitMar 4 2011, 5:29 PM

Changes like this are only made when the person requesting it can show community consensus [[WP:CON]]

bzimport added a comment.Via ConduitMar 5 2011, 4:50 AM

vufohexicywupaqe wrote:

Consensus of the geek community WP {{en}}: why not if quick and easy to implement.

When it is done?

(Consensus par les geek de la communauté WP {{fr}} : pourquoi pas si rapide et facile à mettre en place. Quand ça sera fait ? )

MarkAHershberger added a comment.Via ConduitMar 11 2011, 2:26 AM

Giving this to Ashar. If you can convince him, then it'll happen quickly.

hashar added a comment.Via ConduitMar 11 2011, 7:34 AM

We limit the thumbnails size to a given set which is defined by the array $wgThumbLimits. The array key indexes are referred to by at least the user preference 'thumbsize', which mean we have to make sure the array order is unaltered.

Self note: look at wmgThumbsizeIndex

From the discussion on the local village pump (Le Bistro), the sizes have been choose arbitrary. I am wondering if we could find "better" size matching the smartphones screen sizes.

bzimport added a comment.Via ConduitMar 13 2011, 2:33 PM

vufohexicywupaqe wrote:

Thank you for extending up to 620 pixels.

hashar added a comment.Via ConduitDec 21 2011, 11:24 AM

sending this bug back in the pool of ops / shell requests.

Arkanosis added a comment.Via ConduitFeb 3 2013, 5:39 PM

We should sort the proposed resolutions by increasing size somewhere. Right now, the available resolutions are sorted as follow: 460, 620, 120, 150, 180, 200, 220, 250, 300.

Best regards

bzimport added a comment.Via ConduitFeb 27 2013, 9:32 AM

Kropotkine113 wrote:

I agree with Jérémie Roquet. Proposed resolution should be sort by increasing size in https://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php

Because of the additional size 460 and 620 px proposed after this bug resolution, the default size is now 180px instead of the 220px expected.

In InitialiseSettings it would be vetter to redefine completetly the list of proposed resolution instead of adding two values.

We have
'wgThumbLimits' => array(
'default' => array( 120, 150, 180, 200, 220, 250, 300 ),
'+frwiki' => array( 460, 620 ),
'+itwikiquote' => array( 360 ),
'svwiki' => array( 120, 200, 250, 300, 360 ),
),
'wmgThumbsizeIndex' => array(
'default' => 4,
'svwiki' => 2, // bug 16739
)

We should have

'wgThumbLimits' => array(
'default' => array( 120, 150, 180, 200, 220, 250, 300 ),
'frwiki' => array( 120, 150, 180, 200, 220, 250, 300, 460, 620 ),
'+itwikiquote' => array( 360 ),
'svwiki' => array( 120, 200, 250, 300, 360 ),
),
'wmgThumbsizeIndex' => array(
'default' => 4,
'svwiki' => 2, // bug 16739
)

bzimport added a comment.Via ConduitFeb 27 2013, 9:44 AM

Kropotkine113 wrote:

I think the shift in default resolution (220px to 180px) is due to an unexpected effect of « +frwiki » which leads to a left hand side addition in wgThumbLimits array... If this shift is not managed in wmgThumbsizeIndex the default resolution is changed. I think my Comment #11 fixes both problems (sort by increasing size and default resolution).

Best regards.

Arkanosis added a comment.Via ConduitFeb 27 2013, 11:58 AM

Gerrit change #51152 , waiting for review.

Best regards,

hashar added a comment.Via ConduitFeb 27 2013, 5:57 PM

The original request can not be fulfilled, that will cause too much stress on our caching and storage infrastructure.

I have reverted the original fix with:

https://gerrit.wikimedia.org/r/51182

That would make this bug as RESOLVED/WONTFIX just like the request by hewiki to raise the thumb limit : bug 41712.

hashar added a comment.Via ConduitFeb 27 2013, 6:10 PM

reopening since the revert patch is not merged/deployed yet :-)

hashar added a comment.Via ConduitFeb 28 2013, 12:07 AM

Been merged by Sam. That essentially revert the french wiki back to use the set of thumbnails which are provided by default in MediaWiki.

For more details, see our RFC at http://www.mediawiki.org/wiki/Requests_for_comment/Standardized_thumbnails_sizes

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.